---
title: Create a Preset
description: This endpoint can be used to create new presets.
url: https://storyblok.com/docs/api/management/presets/create-a-preset
---

# Create a Preset

POST

```html
https://mapi.storyblok.com/v1/spaces/:space_id/presets
```

This endpoint can be used to create new presets.

## Path parameters

-   `:space_id` (required) (number)
    
    Numeric ID of a space
    

## Request body properties

-   `preset` (The Preset Object)
    
    A single [preset object](/docs/api/management/presets/the-preset-object)
    

## Response properties

-   `preset` (The Preset Object)
    
    A single [preset object](/docs/api/management/presets/the-preset-object)
    

## Examples

-   cURL
    
    ```shellscript
    curl "https://mapi.storyblok.com/v1/spaces/288868932106293/presets/" \
      -X POST \
      -H "Authorization: YOUR_OAUTH_TOKEN" \
      -H "Content-Type: application/json" \
      -d "{\"preset\":{\"component_id\":62,\"name\":\"Teaser with filled headline\",\"preset\":{\"headline\":\"This is a default value for the preset!\"}}}"
    ```
    
-   JS
    
    ```javascript
    // storyblok-js-client@>=7, node@>=18
    import Storyblok from "storyblok-js-client";
    
    const storyblok = new Storyblok({
      oauthToken: "YOUR_PERSONAL_ACCESS_TOKEN",
    });
    
    try {
      const response = await storyblok.post('spaces/288868932106293/presets/', {
        "preset": {
          "component_id": 62,
          "name": "Teaser with filled headline",
          "preset": {
            "headline": "This is a default value for the preset!"
          }
        }
      })
      console.log({ response })
    } catch (error) {
      console.log(error)
    }
    ```
    
-   PHP
    
    ```php
    $client = new \Storyblok\ManagementClient('YOUR_OAUTH_TOKEN');
    
    $payload = ["preset" => ["component_id" => 62,"name" => "Teaser with filled headline","preset" => ["headline" => "This is a default value for the preset!"]]];
    
    $client->post('spaces/288868932106293/presets/', $payload)->getBody();
    ```
    
-   Java
    
    ```java
    HttpResponse<String> response = Unirest.post("https://mapi.storyblok.com/v1/spaces/288868932106293/presets/")
      .header("Content-Type", "application/json")
      .header("Authorization", "YOUR_OAUTH_TOKEN")
      .body({"preset":{"component_id":62,"name":"Teaser with filled headline","preset":{"headline":"This is a default value for the preset!"}}})
      .asString();
    ```
    
-   C#
    
    ```csharp
    var client = new RestClient("https://mapi.storyblok.com/v1/spaces/288868932106293/presets/");
    var request = new RestRequest(Method.POST);
    
    request.AddHeader("Content-Type", "application/json");
    request.AddHeader("Authorization", "YOUR_OAUTH_TOKEN");
    request.AddParameter("application/json", "{\"preset\":{\"component_id\":62,\"name\":\"Teaser with filled headline\",\"preset\":{\"headline\":\"This is a default value for the preset!\"}}}", ParameterType.RequestBody);
    IRestResponse response = client.Execute(request);
    ```
    
-   Python
    
    ```python
    import requests
    
    url = "https://mapi.storyblok.com/v1/spaces/288868932106293/presets/"
    
    querystring = {}
    
    payload = {"preset":{"component_id":62,"name":"Teaser with filled headline","preset":{"headline":"This is a default value for the preset!"}}}
    headers = {
      'Content-Type': "application/json",
      'Authorization': "YOUR_OAUTH_TOKEN"
    }
    
    response = requests.request("POST", url, data=payload, headers=headers, params=querystring)
    
    print(response.text)
    ```
    
-   Ruby
    
    ```ruby
    require 'storyblok'
    client = Storyblok::Client.new(oauth_token: 'YOUR_OAUTH_TOKEN')
    
    payload = {"preset" => {"component_id" => 62,"name" => "Teaser with filled headline","preset" => {"headline" => "This is a default value for the preset!"}}}
    
    client.post('spaces/288868932106293/presets/', payload)
    ```
    
-   Swift
    
    ```swift
    let storyblok = URLSession(storyblok: .mapi(accessToken: .oauth("YOUR_OAUTH_TOKEN")))
    var request = URLRequest(storyblok: storyblok, path: "spaces/288868932106293/presets/")
    request.httpMethod = "POST"
    request.httpBody = try JSONSerialization.data(withJSONObject: [
        "preset": [
            "component_id": 62,
            "name": "Teaser with filled headline",
            "preset": [
                "headline": "This is a default value for the preset!",
            ],
        ],
    ])
    let (data, _) = try await storyblok.data(for: request)
    print(try JSONSerialization.jsonObject(with: data))
    ```
    
-   Kotlin
    
    ```kotlin
    val client = HttpClient {
        install(Storyblok(MAPI)) {
            accessToken = OAuth("YOUR_OAUTH_TOKEN")
        }
    }
    
    val response = client.post("spaces/288868932106293/presets/") {
        setBody(buildJsonObject {
            putJsonObject("preset") {
                put("component_id", 62)
                put("name", "Teaser with filled headline")
                putJsonObject("preset") {
                    put("headline", "This is a default value for the preset!")
                }
            }
        })
    }
    
    println(response.body<JsonElement>())
    ```

You will receive a [preset object](/docs/api/management/presets/the-preset-object) as a response.

## Pagination

-   [Previous: Presets](/docs/api/management/presets)
-   [Next: Delete a Preset](/docs/api/management/presets/delete-a-preset)
